## qt6-virtualkeyboard 6.2.4

=== config.tests/hunspell/CMakeLists.txt ===
# Generated from hunspell.pro.

cmake_minimum_required(VERSION 3.16)
project(config_test_hunspell LANGUAGES C CXX)

foreach(p ${QT_CONFIG_COMPILE_TEST_PACKAGES})
    find_package(${p})
endforeach()

if(QT_CONFIG_COMPILE_TEST_LIBRARIES)
    link_libraries(${QT_CONFIG_COMPILE_TEST_LIBRARIES})
endif()
if(QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS)
    foreach(lib ${QT_CONFIG_COMPILE_TEST_LIBRARY_TARGETS})
        if(TARGET ${lib})
            link_libraries(${lib})
        endif()
    endforeach()
endif()

add_executable(${PROJECT_NAME}
    main.cpp
)

=== tests/manual/x11vkbtest/CMakeLists.txt ===
# Generated from x11vkbtest.pro.

#####################################################################
## x11vkbtest Binary:
#####################################################################

qt_internal_add_manual_test(x11vkbtest
    GUI
    SOURCES
        colors.h
        filehelper.cpp filehelper.h
        main.cpp
        memorymonitor.cpp memorymonitor.h
        mousesimulator.cpp mousesimulator.h
        processhandler.cpp processhandler.h
        startclose.cpp startclose.h
        testbase.cpp testbase.h
        testenglishletters.cpp testenglishletters.h
        testlanguagechange.cpp testlanguagechange.h
        testreporter.cpp testreporter.h
        testthread.cpp testthread.h
        windowhelper.cpp windowhelper.h
    DEFINES
        QT_DEPRECATED_WARNINGS
    PUBLIC_LIBRARIES
        Qt::Charts
        Qt::Gui
        X11
        Xtst
        xdo
)

=== src/plugins/hunspell/hunspellinputmethod/CMakeLists.txt ===
# Generated from hunspellinputmethod.pro.

#####################################################################
## HunspellInputMethodPrivate Module:
#####################################################################

qt_internal_add_module(HunspellInputMethodPrivate
    INTERNAL_MODULE
    SOURCES
        hunspellinputmethod.cpp hunspellinputmethod_p.cpp hunspellinputmethod_p.h
        hunspellinputmethod_p_p.h
        hunspellworker.cpp hunspellworker_p.h
        qhunspellinputmethod_global.h
    DEFINES
        QHUNSPELLINPUTMETHOD_LIBRARY
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::VirtualKeyboardPrivate
)

#### Keys ignored in scope 1:.:.:hunspellinputmethod.pro:<TRUE>:
# MODULE = "hunspellinputmethod"

## Scopes:
#####################################################################

qt_internal_extend_target(HunspellInputMethodPrivate CONDITION QT_FEATURE_system_hunspell
    PUBLIC_LIBRARIES
        Hunspell::Hunspell
)

# special case begin
qt_internal_extend_target(HunspellInputMethodPrivate CONDITION NOT QT_FEATURE_system_hunspell AND QT_FEATURE_3rdparty_hunspell
    LIBRARIES
        Qt::BundledHunspell
)
# special case end

#### Keys ignored in scope 4:.:.:hunspellinputmethod.pro:QT_FEATURE_3rdparty_hunspell:
# PKGCONFIG = "hunspell"

=== src/plugins/cerence/cerence-hwr/plugin/CMakeLists.txt ===
# Generated from plugin.pro.

#####################################################################
## QtVirtualKeyboardCerenceHwrPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QtVirtualKeyboardCerenceHwrPlugin
    OUTPUT_NAME qtvirtualkeyboard_cerence_hwr
    PLUGIN_TYPE virtualkeyboard
    SOURCES
        cerence_hwr_p.h
        qtvirtualkeyboardcerencehwrplugin.cpp qtvirtualkeyboardcerencehwrplugin.h
        t9writeabstractdictionary_p.h
        t9writedictionary.cpp t9writedictionary_p.h
        t9writeinputmethod.cpp t9writeinputmethod_p.h
        t9writewordcandidate.cpp t9writewordcandidate_p.h
        t9writeworker.cpp t9writeworker_p.h
    DEFINES
        HAVE_CERENCE_HWR
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::BundledCerencecommon
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
)

# Resources:
set(qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/content/layouts/fallback/handwriting.qml"
)

if (QT_FEATURE_vkb_lang_en_GB)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/en_GB/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_en_US)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/en_US/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ar_AR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ar_AR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_bg_BG)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/bg_BG/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_cs_CZ)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/cs_CZ/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_da_DK)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/da_DK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_de_DE)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/de_DE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_el_GR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/el_GR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_ES)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/es_ES/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_MX)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/es_MX/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_et_EE)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/et_EE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fa_FA)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/fa_FA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_fi_FI)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/fi_FI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_FR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/fr_FR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_CA)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/fr_CA/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_he_IL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/he_IL/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_hr_HR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/hr_HR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_hu_HU)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/hu_HU/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_id_ID)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/id_ID/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_it_IT)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/it_IT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ms_MY)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ms_MY/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nb_NO)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/nb_NO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nl_NL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/nl_NL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pl_PL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/pl_PL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_BR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/pt_BR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_PT)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/pt_PT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ro_RO)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ro_RO/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_ru_RU)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ru_RU/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sk_SK)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/sk_SK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sl_SI)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/sl_SI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sq_AL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/sq_AL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sr_SP)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/sr_SP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sv_SE)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/sv_SE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_th_TH)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/th_TH/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_tr_TR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/tr_TR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_uk_UA)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/uk_UA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_vi_VN)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/vi_VN/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ja_JP)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ja_JP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_ko_KR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ko_KR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_CN/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_TW)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_TW/handwriting.qml"
    )
endif()

qt_internal_add_resource(QtVirtualKeyboardCerenceHwrPlugin "qmake_virtualkeyboard_cerence_hwr_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_cerence_hwr_layouts_resource_files}
)

set(qmake_virtualkeyboard_cerence_hwr_custom_layouts_resource_files)
if (QT_FEATURE_vkb_lang_zh_HK)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_custom_layouts_resource_files
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/handwriting.qml"
    )
endif()

qt_internal_add_resource(QtVirtualKeyboardCerenceHwrPlugin "qmake_virtualkeyboard_cerence_hwr_custom_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${CMAKE_CURRENT_SOURCE_DIR}"
    FILES
        ${qmake_virtualkeyboard_cerence_hwr_custom_layouts_resource_files}
)

#### Keys ignored in scope 1:.:.:plugin.pro:<TRUE>:
# DISTFILES = "cerence_hwr.json"
# OTHER_FILES = "$$LAYOUT_FILES"
# virtualkeyboard_cerence_hwr_custom_layouts.base = "$$PWD"
# virtualkeyboard_cerence_hwr_custom_layouts.prefix = "$$LAYOUTS_PREFIX"

## Scopes:
#####################################################################

qt_internal_extend_target(QtVirtualKeyboardCerenceHwrPlugin CONDITION QT_FEATURE_cerence_xt9
    DEFINES
        HAVE_XT9
    LIBRARIES
        Qt::BundledXt9Common
)

qt_internal_extend_target(QtVirtualKeyboardCerenceHwrPlugin CONDITION QT_FEATURE_cerence_hwr_alphabetic
    DEFINES
        HAVE_CERENCE_HWR_ALPHABETIC
    LIBRARIES
        Cerence::HWR::Alphabetic
)

qt_internal_extend_target(QtVirtualKeyboardCerenceHwrPlugin CONDITION QT_FEATURE_cerence_hwr_cjk
    DEFINES
        HAVE_CERENCE_HWR_CJK
    LIBRARIES
        Cerence::HWR::CJK
)

qt_internal_extend_target(QtVirtualKeyboardCerenceHwrPlugin CONDITION FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_hwr
    DEFINES
        HAVE_CERENCE_HWR_RESOURCE
)

if(FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_hwr)
    set(resource_glob_0)
    if(FEATURE_vkb_lang_ar_AR OR FEATURE_vkb_lang_fa_FA)
        file(GLOB resource_glob_0 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/arabic/*.bin")
        foreach(file IN LISTS resource_glob_0)
            set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
        endforeach()
    endif()

    set(resource_glob_1)
    if(FEATURE_vkb_lang_he_IL)
        file(GLOB resource_glob_1 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/hebrew/*.bin")
        foreach(file IN LISTS resource_glob_1)
            set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
        endforeach()
    endif()

    set(resource_glob_2)
    if(FEATURE_vkb_lang_th_TH)
        file(GLOB resource_glob_2 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/thai/*.bin")
        foreach(file IN LISTS resource_glob_2)
            set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
        endforeach()

=== src/plugins/cerence/xt9/plugin/CMakeLists.txt ===
# Generated from plugin.pro.

#####################################################################
## QtVirtualKeyboardXt9Plugin Plugin:
#####################################################################

qt_internal_add_plugin(QtVirtualKeyboardXt9Plugin
    OUTPUT_NAME qtvirtualkeyboard_cerence_xt9
    PLUGIN_TYPE virtualkeyboard
    SOURCES
        xt9awinputmethod.cpp xt9awinputmethod_p.h
        xt9awinputmethodprivate.cpp xt9awinputmethodprivate_p.h
        xt9cpinputmethod.cpp xt9cpinputmethod_p.h
        xt9cpinputmethodprivate.cpp xt9cpinputmethodprivate_p.h
        xt9inputmethod.cpp xt9inputmethod_p.h
        xt9inputmethodprivate.cpp xt9inputmethodprivate_p.h
        xt9jinputmethod.cpp xt9jinputmethod_p.h
        xt9jinputmethodprivate.cpp xt9jinputmethodprivate_p.h
        xt9kinputmethod.cpp xt9kinputmethod_p.h
        xt9kinputmethodprivate.cpp xt9kinputmethodprivate_p.h
        xt9plugin.cpp xt9plugin.h
        xt9thaiinputmethod.cpp xt9thaiinputmethod_p.h
        xt9thaiinputmethodprivate.cpp xt9thaiinputmethodprivate_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::BundledCerencecommon
        Qt::BundledXt9Common
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
)

#### Keys ignored in scope 1:.:.:plugin.pro:<TRUE>:
# DISTFILES = "cerence_xt9.json"
# OTHER_FILES = "$$LAYOUT_FILES"
# virtualkeyboard_xt9_custom_layouts.base = "$$PWD"
# virtualkeyboard_xt9_custom_layouts.prefix = "$$LAYOUTS_PREFIX"
# virtualkeyboard_xt9_layouts.base = "$$LAYOUTS_BASE"
# virtualkeyboard_xt9_layouts.prefix = "$$LAYOUTS_PREFIX"

## Scopes:
#####################################################################

#### Keys ignored in scope 3:.:.:plugin.pro:NOT XT9_BINS_ISEMPTY:
# INSTALLS = "xt9_bins"
# xt9_bins.files = "$$XT9_BINS"

#### Keys ignored in scope 4:.:.:plugin.pro:WIN32 OR win64:
# xt9_bins.path = "$$[QT_INSTALL_BINS]"

#### Keys ignored in scope 5:.:.:plugin.pro:else:
# xt9_bins.path = "$$[QT_INSTALL_LIBS]"

#### Keys ignored in scope 6:.:.:plugin.pro:NOT prefix_build:
# COPIES = "xt9_bins"

#### Keys ignored in scope 7:.:.:plugin.pro:CONFIG___contains___lang-ja._x_:
# LAYOUT_FILES = "$$LAYOUTS_BASE/content/layouts/ja_JP/digits.fallback" "$$LAYOUTS_BASE/content/layouts/ja_JP/numbers.fallback" "$$LAYOUTS_BASE/content/layouts/ja_JP/symbols.qml" "$$LAYOUTS_BASE/content/layouts/ja_JP/dialpad.fallback"

#### Keys ignored in scope 11:.:.:plugin.pro:CONFIG___contains___lang-ko._x_:
# LAYOUT_FILES = "$$LAYOUTS_BASE/content/layouts/ko_KR/digits.fallback" "$$LAYOUTS_BASE/content/layouts/ko_KR/main.qml" "$$LAYOUTS_BASE/content/layouts/ko_KR/numbers.fallback" "$$LAYOUTS_BASE/content/layouts/ko_KR/symbols.qml" "$$LAYOUTS_BASE/content/layouts/ko_KR/dialpad.fallback"

#### Keys ignored in scope 16:.:.:plugin.pro:CONFIG___contains___lang-th._x_:
# LAYOUT_FILES = "$$LAYOUTS_BASE/content/layouts/th_TH/digits.fallback" "$$LAYOUTS_BASE/content/layouts/th_TH/main.qml" "$$LAYOUTS_BASE/content/layouts/th_TH/numbers.fallback" "$$LAYOUTS_BASE/content/layouts/th_TH/symbols.qml" "$$LAYOUTS_BASE/content/layouts/th_TH/dialpad.fallback"

#### Keys ignored in scope 21:.:.:plugin.pro:CONFIG___contains___lang-zh(_CN?):
# LAYOUT_FILES = "$$LAYOUTS_BASE/content/layouts/zh_CN/digits.fallback" "$$LAYOUTS_BASE/content/layouts/zh_CN/numbers.fallback" "$$LAYOUTS_BASE/content/layouts/zh_CN/symbols.qml" "$$LAYOUTS_BASE/content/layouts/zh_CN/dialpad.fallback"

#### Keys ignored in scope 25:.:.:plugin.pro:NOT xt9-9key-pinyin AND CONFIG___contains___lang-zh(_CN?):
# LAYOUT_FILES = "$$LAYOUTS_BASE/content/layouts/zh_CN/main.qml"

#### Keys ignored in scope 26:.:.:plugin.pro:CONFIG___contains___lang-zh(_TW?):
# LAYOUT_FILES = "$$LAYOUTS_BASE/content/layouts/zh_TW/digits.fallback" "$$LAYOUTS_BASE/content/layouts/zh_TW/numbers.fallback" "$$LAYOUTS_BASE/content/layouts/zh_TW/symbols.qml" "$$LAYOUTS_BASE/content/layouts/zh_TW/dialpad.fallback"

#### Keys ignored in scope 31:.:.:plugin.pro:xt9-9key-pinyin AND CONFIG___contains___lang-zh(_CN?):
# CUSTOM_LAYOUT_FILES = "$$PWD/content/layouts/zh_CN/main.qml"

#### Keys ignored in scope 32:.:.:plugin.pro:CONFIG___contains___lang-zh(_HK?):
# CUSTOM_LAYOUT_FILES = "$$PWD/content/layouts/zh_HK/digits.fallback" "$$PWD/content/layouts/zh_HK/numbers.fallback" "$$PWD/content/layouts/zh_HK/symbols.qml" "$$PWD/content/layouts/zh_HK/main.qml" "$$PWD/content/layouts/zh_HK/dialpad.fallback"

#### Keys ignored in scope 38:.:.:plugin.pro:xt9-9key-stroke:
# CUSTOM_LAYOUT_FILES = "$$PWD/content/layouts/zh_TW/main.qml"

set(qmake_virtualkeyboard_xt9_layouts_resource_files)
if (QT_FEATURE_vkb_lang_ja_JP)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ja_JP/digits.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/ja_JP/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/ja_JP/symbols.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/ja_JP/dialpad.fallback"
    )
endif()
if (QT_FEATURE_vkb_lang_ko_KR)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/ko_KR/digits.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/ko_KR/main.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/ko_KR/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/ko_KR/symbols.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/ko_KR/dialpad.fallback"
    )
endif()
if (QT_FEATURE_vkb_lang_th_TH)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/th_TH/digits.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/th_TH/main.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/th_TH/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/th_TH/symbols.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/th_TH/dialpad.fallback"
    )
endif()
if (QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_CN/digits.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_CN/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_CN/symbols.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_CN/dialpad.fallback"
    )
endif()
if (NOT FEATURE_vkb_cerence_xt9_9key_layouts AND QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_CN/main.qml"
    )
endif()
if (QT_FEATURE_vkb_lang_zh_TW)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_TW/digits.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_TW/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_TW/symbols.qml"
        "${VKB_LAYOUTS_BASE}/content/layouts/zh_TW/dialpad.fallback"
    )
endif()

qt_internal_add_resource(QtVirtualKeyboardXt9Plugin "qmake_virtualkeyboard_xt9_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_xt9_layouts_resource_files}
)


set(qmake_virtualkeyboard_xt9_custom_layouts_resource_files)
if (QT_FEATURE_vkb_lang_ja_JP AND NOT FEATURE_vkb_cerence_xt9_9key_layouts)
    list(APPEND qmake_virtualkeyboard_xt9_custom_layouts_resource_files
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/ja_JP/main.qml"
    )
endif()
if (QT_FEATURE_vkb_lang_zh_HK)
    list(APPEND qmake_virtualkeyboard_xt9_custom_layouts_resource_files
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/digits.fallback"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/numbers.fallback"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/symbols.qml"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/main.qml"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/dialpad.fallback"
    )
endif()

qt_internal_add_resource(QtVirtualKeyboardXt9Plugin "qmake_virtualkeyboard_xt9_custom_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${CMAKE_CURRENT_SOURCE_DIR}"
    FILES
        ${qmake_virtualkeyboard_xt9_custom_layouts_resource_files}
)

if (QT_FEATURE_vkb_lang_zh_TW AND NOT FEATURE_vkb_cerence_xt9_9key_layouts)
    # Resources:
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/main.qml ${CMAKE_CURRENT_BINARY_DIR}/content/layouts/zh_TW/main.qml COPYONLY)
    set(qmake_virtualkeyboard_xt9_cangjie_layouts_resource_files
        "${CMAKE_CURRENT_BINARY_DIR}/content/layouts/zh_TW/main.qml"
    )

    qt_internal_add_resource(QtVirtualKeyboardXt9Plugin "qmake_virtualkeyboard_xt9_cangjie_layouts"
        PREFIX
            "${VKB_LAYOUTS_PREFIX}"
        BASE
            "${CMAKE_CURRENT_BINARY_DIR}"
        FILES
            ${qmake_virtualkeyboard_xt9_cangjie_layouts_resource_files}
    )
endif()

if (FEATURE_vkb_cerence_xt9_9key_layouts)
    if (QT_FEATURE_vkb_lang_zh_CN)
        list(APPEND qmake_virtualkeyboard_xt9_9key_layouts_resource_files
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts/zh_CN/main.qml"
        )
    endif()

    if (QT_FEATURE_vkb_lang_zh_TW)
        list(APPEND qmake_virtualkeyboard_xt9_9key_layouts_resource_files
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts/zh_TW/main.qml"
        )
    endif()

    if (QT_FEATURE_vkb_lang_ja_JP)
        list(APPEND qmake_virtualkeyboard_xt9_9key_layouts_resource_files
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts/ja_JP/main.qml"
        )
    endif()

    qt_internal_add_resource(QtVirtualKeyboardXt9Plugin "qmake_virtualkeyboard_xt9_9key_layouts"
        PREFIX
            "${VKB_LAYOUTS_PREFIX}"
        BASE
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts"
        FILES
            ${qmake_virtualkeyboard_xt9_9key_layouts_resource_files}
    )
endif()

#### Keys ignored in scope 40:.:.:plugin.pro:WIN32:
# QMAKE_TARGET_DESCRIPTION = "Virtual Keyboard Extension for Qt."
# QMAKE_TARGET_PRODUCT = "Qt Virtual Keyboard Cerence XT9 (Qt $$QT_VERSION)"

#### Keys ignored in scope 42:.:../..:../../cerence.pri:CERENCE_SDK_ROOT_ISEMPTY:
# EXT_CERENCE_SDK_ROOT = "$$(CERENCE_SDK_ROOT)"

#### Keys ignored in scope 43:.:../..:../../cerence.pri:NOT EXT_CERENCE_SDK_ROOT_ISEMPTY:
# CERENCE_SDK_ROOT = "$$EXT_CERENCE_SDK_ROOT"

#### Keys ignored in scope 45:.:../..:../../cerence.pri:CERENCE_SDK_ROOT_ISEMPTY:
# CERENCE_SDK_ROOT = "$$PWD/sdk"

#### Keys ignored in scope 48:.:../..:../../cerence.pri:QT_ARCH___equals___arm:
# CERENCE_SHARED_LIB_PATH = "lib/linux/arm/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/arm/static"

#### Keys ignored in scope 50:.:../..:../../cerence.pri:QT_ARCH___equals___arm64:
# CERENCE_SHARED_LIB_PATH = "lib/linux/arm64/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/arm64/static"

#### Keys ignored in scope 52:.:../..:../../cerence.pri:QT_ARCH___equals___x86_64:
# CERENCE_SHARED_LIB_PATH = "lib/linux/x86_64/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/x86_64/static"

#### Keys ignored in scope 54:.:../..:../../cerence.pri:QT_ARCH___equals___x86 OR QT_ARCH___equals___i386:
# CERENCE_SHARED_LIB_PATH = "lib/linux/x86/shared"
# CERENCE_STATIC_LIB_PATH = "lib/linux/x86/static"

#### Keys ignored in scope 57:.:../..:../../cerence.pri:QT_ARCH___equals___x86_64:
# CERENCE_SHARED_LIB_PATH = "lib/win32/x86_64/shared"
# CERENCE_STATIC_LIB_PATH = "lib/win32/x86_64/static"

#### Keys ignored in scope 58:.:../..:../../cerence.pri:else:
# CERENCE_SHARED_LIB_PATH = "lib/win32/x86/shared"
# CERENCE_STATIC_LIB_PATH = "lib/win32/x86/static"

#### Keys ignored in scope 60:.:../..:../../cerence.pri:WIN32:
# result = "$$1/*.obj"

#### Keys ignored in scope 61:.:../..:../../cerence.pri:result_ISEMPTY:
# result = "$$1/*.lib"

#### Keys ignored in scope 62:.:../..:../../cerence.pri:else:
# result = "$$1/*.o"

#### Keys ignored in scope 63:.:../..:../../cerence.pri:result_ISEMPTY:

=== debian/changelog ===
qt6-virtualkeyboard (6.2.4-1+dde) unstable; urgency=medium

  * New upstream release (6.2.4).

 -- Duan Ting <duanting@uniontech.com>  Thu, 09 Jun 2022 18:20:37 +0800

qt6-virtualkeyboard (6.2.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 16:24:04 +0100

qt6-virtualkeyboard (6.2.2+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #999897)

 -- Patrick Franz <deltaone@debian.org>  Thu, 18 Nov 2021 09:01:30 +0100

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libqt6opengl6-dev (>= 6.2.4~),
               libqt6svg6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4~),
               qml6-module-qttest (>= 6.2.4~),
               qt6-base-dev (>= 6.2.4~),
               qt6-base-private-dev (>= 6.2.4~),
               qt6-declarative-dev (>= 6.2.4~),
               qt6-declarative-private-dev (>= 6.2.4~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
Rules-Requires-Root: no

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: libqt6hunspellinputmethod6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Hunspell Input Method helper library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt 6 Hunspell Input Method helper library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 5 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: libqt6virtualkeyboard6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

## qt6-virtualkeyboard 6.2.4%2Bdfsg

=== tests/auto/inputpanel/CMakeLists.txt ===
# Generated from inputpanel.pro.

#####################################################################
## tst_inputpanel Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_inputpanel
    QMLTEST
    SOURCES
        tst_inputpanel.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
    TESTDATA ${test_data}
)

#### Keys ignored in scope 1:.:.:inputpanel.pro:<TRUE>:
# OTHER_FILES = "$$PWD/data/inputpanel/inputpanel.qml" "$$PWD/data/inputpanel/handwritinginputpanel.qml" "$$PWD/data/tst_inputpanel.qml"
# TEMPLATE = "app"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_inputpanel CONDITION NOT QT_BUILD_SHARED_LIBS
    PUBLIC_LIBRARIES
        Qt::Svg
)

#### Keys ignored in scope 2:.:.:inputpanel.pro:NOT QT_BUILD_SHARED_LIBS:
# QTPLUGIN = "qtvirtualkeyboardplugin"
